ChiliProject - Bug # 1015: Migrating from Redmine 1.3: Table permissions not found
Description: When migrating from Redmine 1.3 to ChiliProject 3.1 | get the following error message when executing

<pre>bundle exec rake db:migrate RAILS_ENV=production</pre>:

<pre>
rake aborted!

Could not find table 'permissions’
</pre>

This is triggered within <pre>014_add_queries_permissions.rb</pre>. However, it makes no sense to me,
because the permissions table gets created and is dropped afterwards when creating a completely new
database.

History

2012-05-18 07:27 pm - Felix Schéafer
Especially because this migration should have been run for Redmine before, could you see if '014' is in the @schema_migrations@ table of your DB?

2012-05-19 09:16 am - Sebastian DreAYler
No, no entry regarding @014@ in @schema_migrations@.

2012-05-19 09:21 am - Felix Schéfer
Then there's a problem with your DB, there should be the number of all the migrations in @db/migrate@ from your Redmine even before you start

migrating to ChiliProject.

2012-05-19 09:43 am - Sebastian DreAYler
Would it be possible to setup a completely new DB and copy the old data without copying @schema_migrations@?

2012-05-19 09:52 am - Felix Schéfer

Not really reliably, no.

My best guess would be to repair your Redmine install before upgrading it. The tricky part here is to add the numbers of the migrations you are sure
have already run to the @schema_migrations@ table. There's no real clue other than studying the migrations and the DB to know which have run
though. In any case, try this on a copy first!

(If you need further help with this, | could get you in touch with Redmine "specialists" in Berlin)

2012-05-19 10:08 am - Sebastian DreAYler
Getting some professional help with this would be nice, right now I'm not able to upgrade to anything.

2012-05-19 10:41 am - Sebastian DreAYler
| was able to repair the DB, it seems to work now. So this issue can be closed. Thanks for your help.

2012-05-19 01:25 pm - Felix Schéfer
- Status changed from Open to Closed
Sebastian DreAYler wrote:

> | was able to repair the DB, it seems to work now. So this issue can be closed. Thanks for your help.

Great to hear, | hope the rest of the upgrade goes well :-)
